# class NutritionOrderModel(BaseModel):
#     resourceType_field: str =  "NutritionOrder"
#     id_field: idModel = Field(default=None, alias="id", description="The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.")
#     meta_field: MetaModel = Field(default=None, alias="meta", description="The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.")
#     implicitRules_field: uriModel = Field(default=None, alias="implicitRules", description="A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.")
#     language_field: codeModel = Field(default=None, alias="language", description="The base language in which the resource is written.")
#     text_field: NarrativeModel = Field(default=None, alias="text", description="A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it clinically safe for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.")
#     contained_field: List[ResourceListModel] = Field(default_factory=list, alias="contained", description="These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, nor can they have their own independent transaction scope. This is allowed to be a Parameters resource if and only if it is referenced by a resource that provides context/meaning.")
#     extension_field: List[ExtensionModel] = Field(default_factory=list, alias="extension", description="May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and managable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.")
#     modifierExtension_field: List[ExtensionModel] = Field(default_factory=list, alias="modifierExtension", description="May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and managable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.")
#     identifier_field: List[IdentifierModel] = Field(default_factory=list, alias="identifier", description="Identifiers assigned to this order by the order sender or by the order receiver.")
#     instantiatesCanonical_field: List[canonicalModel] = Field(default_factory=list, alias="instantiatesCanonical", description="The URL pointing to a FHIR-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this NutritionOrder.")
#     instantiatesUri_field: List[uriModel] = Field(default_factory=list, alias="instantiatesUri", description="The URL pointing to an externally maintained protocol, guideline, orderset or other definition that is adhered to in whole or in part by this NutritionOrder.")
#     instantiates_field: List[uriModel] = Field(default_factory=list, alias="instantiates", description="The URL pointing to a protocol, guideline, orderset or other definition that is adhered to in whole or in part by this NutritionOrder.")
#     basedOn_field: List[ReferenceModel] = Field(default_factory=list, alias="basedOn", description="A plan or request that is fulfilled in whole or in part by this nutrition order.")
#     groupIdentifier_field: IdentifierModel = Field(default=None, alias="groupIdentifier", description="A shared identifier common to all nutrition orders that were authorized more or less simultaneously by a single author, representing the composite or group identifier.")
#     status_field: codeModel = Field(default=None, alias="status", description="The workflow status of the nutrition order/request.")
#     intent_field: codeModel = Field(default=None, alias="intent", description="Indicates the level of authority/intentionality associated with the NutrionOrder and where the request fits into the workflow chain.")
#     priority_field: codeModel = Field(default=None, alias="priority", description="Indicates how quickly the Nutrition Order should be addressed with respect to other        requests.")
#     subject_field: ReferenceModel = Field(default=None, alias="subject", description="The person or set of individuals who needs the nutrition order for an oral diet, nutritional supplement and/or enteral or formula feeding.")
#     encounter_field: ReferenceModel = Field(default=None, alias="encounter", description="An encounter that provides additional information about the healthcare context in which this request is made.")
#     supportingInformation_field: List[ReferenceModel] = Field(default_factory=list, alias="supportingInformation", description="Information to support fulfilling (i.e. dispensing or administering) of the nutrition,        for example, patient height and weight).")
#     dateTime_field: dateTimeModel = Field(default=None, alias="dateTime", description="The date and time that this nutrition order was requested.")
#     orderer_field: ReferenceModel = Field(default=None, alias="orderer", description="The practitioner that holds legal responsibility for ordering the diet, nutritional supplement, or formula feedings.")
#     performer_field: List[CodeableReferenceModel] = Field(default_factory=list, alias="performer", description="The specified desired performer of the nutrition order.")
#     allergyIntolerance_field: List[ReferenceModel] = Field(default_factory=list, alias="allergyIntolerance", description="A link to a record of allergies or intolerances  which should be included in the nutrition order.")
#     foodPreferenceModifier_field: List[CodeableConceptModel] = Field(default_factory=list, alias="foodPreferenceModifier", description="This modifier is used to convey order-specific modifiers about the type of food that should be given. These can be derived from patient allergies, intolerances, or preferences such as Halal, Vegan or Kosher. This modifier applies to the entire nutrition order inclusive of the oral diet, nutritional supplements and enteral formula feedings.")
#     excludeFoodModifier_field: List[CodeableConceptModel] = Field(default_factory=list, alias="excludeFoodModifier", description="This modifier is used to convey Order-specific modifier about the type of oral food or oral fluids that should not be given. These can be derived from patient allergies, intolerances, or preferences such as No Red Meat, No Soy or No Wheat or  Gluten-Free.  While it should not be necessary to repeat allergy or intolerance information captured in the referenced AllergyIntolerance resource in the excludeFoodModifier, this element may be used to convey additional specificity related to foods that should be eliminated from the patient’s diet for any reason.  This modifier applies to the entire nutrition order inclusive of the oral diet, nutritional supplements and enteral formula feedings.")
#     outsideFoodAllowed_field: booleanModel = Field(default=None, alias="outsideFoodAllowed", description="This modifier is used to convey whether a food item is allowed to be brought in by the patient and/or family.  If set to true, indicates that the receiving system does not need to supply the food item.")
#     oralDiet_field: NutritionOrder_OralDietModel = Field(default=None, alias="oralDiet", description="Diet given orally in contrast to enteral (tube) feeding.")
#     supplement_field: List[NutritionOrder_SupplementModel] = Field(default_factory=list, alias="supplement", description="Oral nutritional products given in order to add further nutritional value to the patient's diet.")
#     enteralFormula_field: NutritionOrder_EnteralFormulaModel = Field(default=None, alias="enteralFormula", description="Feeding provided through the gastrointestinal tract via a tube, catheter, or stoma that delivers nutrition distal to the oral cavity.")
#     note_field: List[AnnotationModel] = Field(default_factory=list, alias="note", description="Comments made about the {{title}} by the requester, performer, subject or other participants.")
