from enum import Enum


class ImplementedResourceRegistry(Enum):
    Bundle: str = "Bundle"
    Encounter: str = "Encounter"
    MedicationRequest: str = "MedicationRequest"
    NutritionOrder: str = "NutritionOrder"
    Patient: str = "Patient"
    Practitioner: str = "Practitioner"
    Condition: str = "Condition"
    Procedure: str = "Procedure"
    DocumentReference: str = "DocumentReference"


class UnimplementedResourceRegistry(Enum):
    Account: str = "Account"
    ActivityDefinition: str = "ActivityDefinition"
    ActorDefinition: str = "ActorDefinition"
    AdministrableProductDefinition: str = "AdministrableProductDefinition"
    AdverseEvent: str = "AdverseEvent"
    AllergyIntolerance: str = "AllergyIntolerance"
    Appointment: str = "Appointment"
    AppointmentResponse: str = "AppointmentResponse"
    ArtifactAssessment: str = "ArtifactAssessment"
    AuditEvent: str = "AuditEvent"
    Basic: str = "Basic"
    Binary: str = "Binary"
    BiologicallyDerivedProduct: str = "BiologicallyDerivedProduct"
    BiologicallyDerivedProductDispense: str = "BiologicallyDerivedProductDispense"
    BodyStructure: str = "BodyStructure"
    CapabilityStatement: str = "CapabilityStatement"
    CarePlan: str = "CarePlan"
    CareTeam: str = "CareTeam"
    ChargeItem: str = "ChargeItem"
    ChargeItemDefinition: str = "ChargeItemDefinition"
    Citation: str = "Citation"
    Claim: str = "Claim"
    ClaimResponse: str = "ClaimResponse"
    ClinicalImpression: str = "ClinicalImpression"
    ClinicalUseDefinition: str = "ClinicalUseDefinition"
    CodeSystem: str = "CodeSystem"
    Communication: str = "Communication"
    CommunicationRequest: str = "CommunicationRequest"
    CompartmentDefinition: str = "CompartmentDefinition"
    Composition: str = "Composition"
    ConceptMap: str = "ConceptMap"

    ConditionDefinition: str = "ConditionDefinition"
    Consent: str = "Consent"
    Contract: str = "Contract"
    Coverage: str = "Coverage"
    CoverageEligibilityRequest: str = "CoverageEligibilityRequest"
    CoverageEligibilityResponse: str = "CoverageEligibilityResponse"
    DetectedIssue: str = "DetectedIssue"
    Device: str = "Device"
    DeviceAssociation: str = "DeviceAssociation"
    DeviceDefinition: str = "DeviceDefinition"
    DeviceDispense: str = "DeviceDispense"
    DeviceMetric: str = "DeviceMetric"
    DeviceRequest: str = "DeviceRequest"
    DeviceUsage: str = "DeviceUsage"
    DiagnosticReport: str = "DiagnosticReport"
    Encounter: str = "Encounter"
    EncounterHistory: str = "EncounterHistory"
    Endpoint: str = "Endpoint"
    EnrollmentRequest: str = "EnrollmentRequest"
    EnrollmentResponse: str = "EnrollmentResponse"
    EpisodeOfCare: str = "EpisodeOfCare"
    EventDefinition: str = "EventDefinition"
    Evidence: str = "Evidence"
    EvidenceReport: str = "EvidenceReport"
    EvidenceVariable: str = "EvidenceVariable"
    ExampleScenario: str = "ExampleScenario"
    ExplanationOfBenefit: str = "ExplanationOfBenefit"
    FamilyMemberHistory: str = "FamilyMemberHistory"
    Flag: str = "Flag"
    FormularyItem: str = "FormularyItem"
    GenomicStudy: str = "GenomicStudy"
    Goal: str = "Goal"
    GraphDefinition: str = "GraphDefinition"
    Group: str = "Group"
    GuidanceResponse: str = "GuidanceResponse"
    HealthcareService: str = "HealthcareService"
    ImagingSelection: str = "ImagingSelection"
    ImagingStudy: str = "ImagingStudy"
    Immunization: str = "Immunization"
    ImmunizationEvaluation: str = "ImmunizationEvaluation"
    ImmunizationRecommendation: str = "ImmunizationRecommendation"
    ImplementationGuide: str = "ImplementationGuide"
    Ingredient: str = "Ingredient"
    InsurancePlan: str = "InsurancePlan"
    InventoryItem: str = "InventoryItem"
    InventoryReport: str = "InventoryReport"
    Invoice: str = "Invoice"
    Library: str = "Library"
    Linkage: str = "Linkage"
    List: str = "List"
    Location: str = "Location"
    ManufacturedItemDefinition: str = "ManufacturedItemDefinition"
    Measure: str = "Measure"
    MeasureReport: str = "MeasureReport"
    Medication: str = "Medication"
    MedicationAdministration: str = "MedicationAdministration"
    MedicationDispense: str = "MedicationDispense"
    MedicationKnowledge: str = "MedicationKnowledge"
    MedicationStatement: str = "MedicationStatement"
    MedicinalProductDefinition: str = "MedicinalProductDefinition"
    MessageDefinition: str = "MessageDefinition"
    MessageHeader: str = "MessageHeader"
    MolecularSequence: str = "MolecularSequence"
    NamingSystem: str = "NamingSystem"
    NutritionIntake: str = "NutritionIntake"
    NutritionProduct: str = "NutritionProduct"
    Observation: str = "Observation"
    ObservationDefinition: str = "ObservationDefinition"
    OperationDefinition: str = "OperationDefinition"
    OperationOutcome: str = "OperationOutcome"
    Organization: str = "Organization"
    OrganizationAffiliation: str = "OrganizationAffiliation"
    PackagedProductDefinition: str = "PackagedProductDefinition"
    Parameters: str = "Parameters"
    PaymentNotice: str = "PaymentNotice"
    PaymentReconciliation: str = "PaymentReconciliation"
    Permission: str = "Permission"
    Person: str = "Person"
    PlanDefinition: str = "PlanDefinition"
    PractitionerRole: str = "PractitionerRole"
    Procedure: str = "Procedure"
    Provenance: str = "Provenance"
    Questionnaire: str = "Questionnaire"
    QuestionnaireResponse: str = "QuestionnaireResponse"
    RegulatedAuthorization: str = "RegulatedAuthorization"
    RelatedPerson: str = "RelatedPerson"
    RequestOrchestration: str = "RequestOrchestration"
    Requirements: str = "Requirements"
    ResearchStudy: str = "ResearchStudy"
    ResearchSubject: str = "ResearchSubject"
    RiskAssessment: str = "RiskAssessment"
    Schedule: str = "Schedule"
    SearchParameter: str = "SearchParameter"
    ServiceRequest: str = "ServiceRequest"
    Slot: str = "Slot"
    Specimen: str = "Specimen"
    SpecimenDefinition: str = "SpecimenDefinition"
    StructureDefinition: str = "StructureDefinition"
    StructureMap: str = "StructureMap"
    Subscription: str = "Subscription"
    SubscriptionStatus: str = "SubscriptionStatus"
    SubscriptionTopic: str = "SubscriptionTopic"
    Substance: str = "Substance"
    SubstanceDefinition: str = "SubstanceDefinition"
    SubstanceNucleicAcid: str = "SubstanceNucleicAcid"
    SubstancePolymer: str = "SubstancePolymer"
    SubstanceProtein: str = "SubstanceProtein"
    SubstanceReferenceInformation: str = "SubstanceReferenceInformation"
    SubstanceSourceMaterial: str = "SubstanceSourceMaterial"
    SupplyDelivery: str = "SupplyDelivery"
    SupplyRequest: str = "SupplyRequest"
    Task: str = "Task"
    TerminologyCapabilities: str = "TerminologyCapabilities"
    TestPlan: str = "TestPlan"
    TestReport: str = "TestReport"
    TestScript: str = "TestScript"
    Transport: str = "Transport"
    ValueSet: str = "ValueSet"
    VerificationResult: str = "VerificationResult"
    VisionPrescription: str = "VisionPrescription"
